{% extends "views/default/base.html" %}

{% load static %}

{% block title %}YUYITOS | Inicio{% endblock %}

{% block content %}
<div class="wrapper">
  <!-- Navbar -->
  {% include "views/default/header.html" %}
  <!-- /.navbar -->

  <!-- Main Sidebar Menu Container -->
  {% include "views/default/menu.html" %}
    

  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">Dashboard</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Inicio</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
          {% if user.is_staff or request.user.user_profile == 'operador' %} 
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-info">
              <div class="inner">
                <h3>{{ dash_compra }}</h3>

                <p>Compras del mes</p>
              </div>
              <div class="icon">
                <i class="ion ion-bag"></i>
              </div>
              <a href="{% url 'almacen:compra_reporte' %}" class="small-box-footer">Más info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          {% endif %}
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-success">
              <div class="inner">
                <h3>{{ dash_venta}}</h3>

                <p>Ventas del día</p>
              </div>
              <div class="icon">
                <i class="ion ion-cash"></i>
              </div>
              <a href="{% url 'almacen:venta_reporte' %}" class="small-box-footer">Más info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          {% if user.is_staff or request.user.user_profile == 'operador' %} 
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-warning">
              <div class="inner">
                <h3>{{ dash_proveedor }}</h3>

                <p>Proveedores</p>
              </div>
              <div class="icon">
                <i class="ion ion-person-stalker"></i>
              </div>
              <a href="{% url 'almacen:proveedor_list' %}" class="small-box-footer">Más info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-danger">
              <div class="inner">
                <h3>{{ dash_prod }}</h3>

                <p>Productos ingresados</p>
              </div>
              <div class="icon">
                <i class="ion ion-archive"></i>
              </div>
              <a href="{% url 'almacen:producto_list' %}" class="small-box-footer">Más info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-warning">
              <div class="inner">
                <h3>{{ dash_pere }}</h3>

                <p>Perecederos</p>
              </div>
              <div class="icon">
                <i class="ion ion-calendar"></i>
              </div>
              <a href="{% url 'almacen:producto_list' %}" class="small-box-footer">Más info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-danger">
              <div class="inner">
                <h3>{{ dash_vence }}</h3>

                <p>Vencerán en 30 días</p>
              </div>
              <div class="icon">
                <i class="ion ion-ios-timer"></i>
              </div>
              <a href="{% url 'almacen:producto_list' %}" class="small-box-footer">Más info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-info">
              <div class="inner">
                <h3>{{ dash_cliente }}</h3>

                <p>Clientes</p>
              </div>
              <div class="icon">
                <i class="ion ion-ios-people"></i>
              </div>
              <a href="{% url 'almacen:cliente_list' %}" class="small-box-footer">Más info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-success">
              <div class="inner">
                <h3>{{ dash_credito }}</h3>

                <p>Créditos pendientes</p>
              </div>
              <div class="icon">
                <i class="ion ion-cash"></i>
              </div>
              <a href="{% url 'almacen:credito' %}" class="small-box-footer">Más info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
        </div>
        {% endif %}
        <!-- /.row -->
        <!-- Main row -->
        {% if user.is_staff or request.user.user_profile == 'operador' %} 
        <div class="row">
           <!-- Left col -->
           <section class="col-lg-12 connectedSortable">
            <!-- Custom tabs (Charts with tabs)-->
            <div class="card">
              <div class="card-header">
                <h3 class="card-title">
                  <i class="fas fa-chart-pie mr-1"></i>
                  Gráficos
                </h3>
                <div class="card-tools">
                  <ul class="nav nav-pills ml-auto">
                    <li class="nav-item">
                      <a class="nav-link active" href="#container" data-toggle="tab">Barras</a>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link" href="#container-pie" data-toggle="tab">Circular</a>
                    </li>
                  </ul>
                </div>
              </div><!-- /.card-header -->
              <div class="card-body">
                <div class="tab-content p-0">
                  <!-- Morris chart - Sales -->
                  <div class="chart tab-pane active col-lg-12" id="container">                       
                  </div>
                  <div class="chart tab-pane col-lg-12" id="container-pie">
                  </div>                         
                  </div>  
                </div>
              </div><!-- /.card-body -->
            </div>
            
          </section>
        </div>
        {% endif %}
        <!-- /.row (main row) -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
</div>
  <!-- /.content-wrapper -->
  <!-- Main Footer -->
  {% include "views/default/footer.html" %}

</div>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->
{% endblock content %}
{% block js %}
<!-- ChartJS -->
<script src="{% static 'plugins/chart.js/Chart.min.js' %}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{% static 'dist/js/pages/Inicio.js' %}"></script>
<script src="{% static 'plugins/highcharts/highcharts.js' %}"></script>
<script src="{% static 'plugins/highcharts/modules/exporting.js' %}"></script>
<script src="{% static 'plugins/highcharts/modules/export-data.js' %}"></script>
<script src="{% static 'plugins/highcharts/modules/accessibility.js' %}"></script>
<script type="application/javascript">
  var graphcolumn = Highcharts.chart('container', {
      chart: {
          type: 'column'
      },
      title: {
          text: 'Reporte de ventas del año 2020'
      },
      subtitle: {
          text: 'Reporte de columnas'
      },
      xAxis: {
          categories: [
              'Enero',
              'Febrero',
              'Marzo',
              'Abril',
              'Mayo',
              'Junio',
              'Julio',
              'Agosto',
              'Septiembre',
              'Octubre',
              'Noviembre',
              'Diciembre'
          ],
          crosshair: true
      },
      yAxis: {
          min: 0,
          title: {
              text: 'Valores $'
          }
      },
      tooltip: {
          headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
          pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
              '<td style="padding:0"><b>{point.y:.0f} {{ empresa.simbolo_moneda }}</b></td></tr>',
          footerFormat: '</table>',
          shared: true,
          useHTML: true
      },
      plotOptions: {
          column: {
              pointPadding: 0.2,
              borderWidth: 0
          }
      },
  });
  var graphpie = Highcharts.chart('container-pie', {
            chart: {
                plotBackgroundColor: null,
                plotBorderWidth: null,
                plotShadow: false,
                type: 'pie'
            },
            title: {
                text: 'Porcentaje de venta de productos por el mes de Julio del año 2020'
            },
            tooltip: {
                pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
            },
            accessibility: {
                point: {
                    valueSuffix: '%'
                }
            },
            plotOptions: {
                pie: {
                    allowPointSelect: true,
                    cursor: 'pointer',
                    dataLabels: {
                        enabled: true,
                        format: '<b>{point.name}</b>: {point.percentage:.1f} %'
                    }
                }
            },
        });


  function get_graph_sales_year_month() {
      $.ajax({
          url: window.location.pathname, //window.location.pathname
          type: 'POST',
          data: {
              'action': 'get_graph_sales_year_month'
          },
          dataType: 'json',
      }).done(function (data) {
          if (!data.hasOwnProperty('error')) {
              graphcolumn.addSeries(data);
              return false;
          }
          message_error(data.error);
      }).fail(function (jqXHR, textStatus, errorThrown) {
          alert(textStatus + ': ' + errorThrown);
      }).always(function (data) {

      });
  }

  function get_graph_sales_products_year_month() {
            $.ajax({
                url: window.location.pathname, //window.location.pathname
                type: 'POST',
                data: {
                    'action': 'get_graph_sales_products_year_month'
                },
                dataType: 'json',
            }).done(function (data) {
                if (!data.hasOwnProperty('error')) {
                    graphpie.addSeries(data);
                    return false;
                }
                message_error(data.error);
            }).fail(function (jqXHR, textStatus, errorThrown) {
                alert(textStatus + ': ' + errorThrown);
            }).always(function (data) {

            });
        }

  $(function () {

      get_graph_sales_year_month();
      get_graph_sales_products_year_month();
  

  });
</script>
{% endblock js %}



